#### make_work_guard (3 of 5 overloads)

Create an `executor_work_guard` object.

    template<
        typename T>
    executor_work_guard< typename constraint_t< !is_executor< T >::value &&!execution::is_executor< T >::value &&!is_convertible< T &, execution_context & >::value, associated_executor< T > >::type > make_work_guard(
        const T & t);

###### Parameters

t

  An arbitrary object, such as a completion handler, for which the associated executor will be obtained.

###### Return Value

A work guard constructed with the associated executor of the object `t`, which is obtained as if by calling `get_associated_executor(t)`.